Get Menus of a Venue
Retrieve the list of menus for this venue.
Path Parameters
- Type: stringvenue
_uuid requiredUUID of venue
Query Parameters
- Type: stringorder
_type _id requiredOrder Type ID
Headers
- Type: stringApplicationrequired
White Label Application Key
Responses
- application/json
- 404
User Not Found
Request Example for get/venues/{venue_uuid}/menus
curl 'https://api-public-demo.menu.app/api/v2/venues/{venue_uuid}/menus?order_type_id=' \
--header 'Application: '
{
"status": "OK",
"code": 200,
"data": {
"menus": [
{
"id": "19d436f7-4e5f-4529-8d52-70127e13116f",
"name": "SMOOTHIE & SLUSH",
"description": "Frosty favourites for those craving an ice-blended refreshment.",
"external_id": "external_id_2024",
"image": {
"thumbnail_small": "https://s3.eu-central-1.amazonaws.com/api.playground/images/v2_menu_images/_thumbs280/2024-07-04/30aec6fad8ae9f532d9f7c52474041a5.jpeg",
"thumbnail_medium": "https://s3.eu-central-1.amazonaws.com/api.playground/images/v2_menu_images/_thumbs720/2024-07-04/30aec6fad8ae9f532d9f7c52474041a5.jpeg",
"fullsize": "https://s3.eu-central-1.amazonaws.com/api.playground/images/v2_menu_images/2024-07-04/30aec6fad8ae9f532d9f7c52474041a5.jpeg"
},
"serving_times": [],
"category_ids": [
"d2a83d7e-5787-4c28-b74f-566f8a0f57b0",
"4708e535-fb40-4599-80e8-1cc5140175e0",
"dacb2fff-4b08-4160-aa02-16d9355daf83",
"3378bf95-60e7-4672-bbfe-c7568907d101",
"4f0d20d3-d23f-40f0-8bf0-b02e65eae5f0",
"e178ff8a-335f-44b7-9783-0151806f4a44",
"e3d04765-1c2c-4da9-86c2-1838fd1c4e45",
"51da4f2b-f130-4c78-9a11-dc0438158691",
"14c1ab38-93d2-4bd9-a2b3-dcdca9e50a27"
]
}
]
}
}